var DB = require("topsin.database");
var _e = require("topsin.error");

var DEMO_CONN = 'DEMO_CONN';
DB.addConnection({
  database_type: 'pg',
  database_host: '139.196.104.13:5433',
  database_name: 'TOPDFM_DEV_V6',
  database_user: 'toplinker',
  database_pwd: 'TopLinker0510'
}, DEMO_CONN);

var query = DB.query(DEMO_CONN);
query.begin();
try {
  var user_id = query.selectValue({
    table: 'sys_user2',
    field: 'id',
    where: { username: 'admin' }
  });
  if (query.lastError().isValid()) {
    throw query.lastError().text();
  }
  print("user_id: ", user_id);

  query.insertRow({
    table: 'sys_user_conf',
    data: {
      user_id: user_id,
      path: 'test/1',
      text_data: 'test1'
    }
  });
  if (query.lastError().isValid()) {
    throw query.lastError().text();
  }
  query.commit();
} catch (e) {
  query.rollback();
  print(e);
}

DB.removeConnection(DEMO_CONN);